import os
from multiprocessing import Process
from threading import Thread
from webcam import img_to_three_color_map


def main():
    rs = os.walk('../../fashionbase/images/dataset_0520/weiyi')
    for a, b, c in rs:
         for i in c[:100]:
             source_path = '../../fashionbase/images/dataset_0520/weiyi/' + i
             target_path = 'output/' + i
             print(source_path)
             print(target_path)
             img_to_three_color_map(source_path, target_path)
             #p = Process(target=img_to_three_color_map, args=[source_path, target_path])
             #p.start()


if __name__ == '__main__':
    main()
